Package org.eclipse.pde.core

## Interface IWritable

All Known Subinterfaces:
  `IBuild`, `IBuildEntry`, `IExtensions`, `IFragment`, `IPlugin`, `IPluginAttribute`, `IPluginBase`, `IPluginElement`, `IPluginExtension`, `IPluginExtensionPoint`, `IPluginImport`, `IPluginLibrary`, `IPluginObject`, `IPluginParent`

    public interface IWritable

Classes that implement this interface can participate in saving the model to the ASCII output stream using the provided writer.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `write​(String indent, PrintWriter writer)` Writes the ASCII representation of the writable into the provider writer.

### Method Detail

#### write

    void write​(String indent,
               PrintWriter writer)

Writes the ASCII representation of the writable into the provider writer. The writable should use the provided indent to write the stream starting from the specified column number. Indent string should be written to the writer after every new line.

Parameters:
  `indent` - a string that should be added after each new line to maintain desired horizontal alignment
  `writer` - a writer to be used to write this object's textual representation